[tool.poetry]
name = "search-trends"
version = "1.1.3"
description = "Summarizes logs how JobSearch API is used"
authors = ["Walrus <jobtechdev@arbetsformedlingen.se>"]
packages = [
    { include = "search_trends" },
    { include = "lookup" },
    { include = "queries" },
]

[tool.poetry.dependencies]
python = "^3.10"
opensearch-py = "2.4.2"
loguru = "0.7.2"
nltk = "3.9.1"
requests = "2.31.0"
dateutils = "^0.6.12"


[tool.poetry.dev-dependencies]

[tool.poetry.group.dev.dependencies]
pytest = "^8.2.1"
pytest-cov = "^5.0.0"
pytest-env = "^1.1.3"

syrupy = "^4.6.1"
[build-system]
requires = ["poetry-core>=1.0.0"]
build-backend = "poetry.core.masonry.api"

[tool.poetry.scripts]
collect_stats = 'search_trends.main:main'

[tool.pytest.ini_options]
minversion = "7.1.0"
testpaths = [
    "tests",
]
env = [
    "DATE=2024-07-02"
]
